@echo off
set "_theisoname="
if [%1]==[] goto showerrormsg
if [%2]==[] goto showerrormsg
echo.
echo.
echo.  GAME PROVIDED:
echo.
for %%f in (.) do set "folder=%%~nf%%~xf"
set "_theisoname=%folder%"
echo.  FLDR = %folder%
echo.  FILE = %~nx1
echo.  FILE = %~nx2
echo.  PATH = %~dp1
echo.
echo.%~nx1> "%_theisoname%.m3u"
echo.%~nx2>> "%_theisoname%.m3u"
if NOT [%3]==[] echo.%~nx3>> "%_theisoname%.m3u"
if NOT [%4]==[] echo.%~nx4>> "%_theisoname%.m3u"
if NOT [%5]==[] echo.%~nx5>> "%_theisoname%.m3u"
::echo.>> "%_theisoname%.m3u"
:thisistheend
TIMEOUT /T 15 /NOBREAK
EXIT /B

:showerrormsg
echo.
echo.
echo.     PLEASE, DRAG CUE FILES OVER THIS SCRIPT
echo.
echo. MOVE FILES IN ORDER, ARREST HOLDING THE FIRST FILE
echo.
goto :thisistheend
exit /B

REM Brian Sidebotham solution!
REM https://superuser.com/questions/160702/get-current-folder-name-by-a-dos-command/160712